//////////////////////////////////////////////////////////////////////////////
//
// ***************************************************************************
// **                                                                       **
// ** Copyright (c) 1995-2004 Xilinx, Inc.  All rights reserved.            **
// **                                                                       **
// ** You may copy and modify these files for your own internal use solely  **
// ** with Xilinx programmable logic devices and Xilinx EDK system or       **
// ** create IP modules solely for Xilinx programmable logic devices and    **
// ** Xilinx EDK system. No rights are granted to distribute any files      **
// ** unless they are distributed in Xilinx programmable logic devices.     **
// **                                                                       **
// ***************************************************************************
//
//////////////////////////////////////////////////////////////////////////////
// Filename:          C:\ML_XUP\edk_6_3_builds\OOB_Demo\drivers\fft_BRAMiNTF_v1_00_a\src\fft_BRAMiNTF.h
// Version:           1.00.a
// Description:       fft_BRAMiNTF Driver Header File
// Date:              Fri Apr 15 01:55:01 2005 (by Create and Import Peripheral Wizard)
//////////////////////////////////////////////////////////////////////////////

#ifndef FFT_BRAMINTF_H
#define FFT_BRAMINTF_H

/***************************** Include Files *******************************/

#include "xbasic_types.h"
#include "xio.h"

/************************** Constant Definitions ***************************/

#define FFT_BRAMINTF_USER_SLAVE_SPACE_OFFSET (0x00000000)


/***************** Macros (Inline Functions) Definitions *******************/

/**
 *
 * Write a value to a FFT_BRAMINTF register. A 32 bit write is performed.
 * If the component is implemented in a smaller width, only the least
 * significant data is written.
 *
 * @param   BaseAddress is the base address of the FFT_BRAMINTF device.
 * @param   RegOffset is the register offset from the base to write to.
 * @param   Data is the data written to the register.
 *
 * @return  None.
 *
 * @note    None.
 *
 * C-style signature:
 * 	void FFT_BRAMINTF_mWriteReg(Xuint32 BaseAddress, unsigned RegOffset, Xuint32 Data)
 *
 */
#define FFT_BRAMINTF_mWriteReg(BaseAddress, RegOffset, Data) \
 	XIo_Out32((BaseAddress) + (RegOffset), (Xuint32)(Data))

/**
 *
 * Read a value from a FFT_BRAMINTF register. A 32 bit read is performed.
 * If the component is implemented in a smaller width, only the least
 * significant data is read from the register. The most significant data
 * will be read as 0.
 *
 * @param   BaseAddress is the base address of the FFT_BRAMINTF device.
 * @param   RegOffset is the register offset from the base to write to.
 *
 * @return  Data is the data from the register.
 *
 * @note    None.
 *
 * C-style signature:
 * 	Xuint32 FFT_BRAMINTF_mReadReg(Xuint32 BaseAddress, unsigned RegOffset)
 *
 */
#define FFT_BRAMINTF_mReadReg(BaseAddress, RegOffset) \
 	XIo_In32((BaseAddress) + (RegOffset))

/************************** Function Prototypes ****************************/


#endif // FFT_BRAMINTF_H
